#!/bin/sh
TARGET_DIR="$(kde4-config --localprefix)share/kde4/services/ServiceMenus/svg-svgz-svg"

# Translations:

	# Finnish
if [ "$LANG" = "fi_FI.UTF-8" ] ; then
	uninstallation="Asennuksen poisto"
	message_uninstallation_completed="Asennuksen poisto onnistui."
	message_uninstallation_failed="Asennuksen poisto epäonnistui!"
	
  elif [ "$LANG" = "____" ] ; then	# Copy this blanked "elif"-thing and fill up blanks with your own translations.
	# ____
	uninstallation="____"
	message_uninstallation_completed="____"
	message_uninstallation_failed="____"
# Put your own translation right after this line.

# Dont put it after this line!
  else	# English
	uninstallation="Uninstallation"
	message_uninstallation_completed="Uninstallation completed."
	message_uninstallation_failed="Uninstallation failed!"
fi

PROGNAME="svg-svgz-svg $uninstallation"

# Uninstallation (current user)
rm -R -f "$TARGET_DIR"
# End of uninstallation (current user)
if [ $(ls "/usr/share/kde4/services/ServiceMenus/svg-svgz-svg/" | wc -l) -ne "0" ] ; then	# Checks if installed system wide.
	# Uninstallation (system wide)
	cd "./data/systemwide"
	kdesudo ./deinstall.sh
	# End of uninstallation (system wide)
fi
if [ "$?" -ne "0" ] ; then		# If failed, do:
	kdialog --caption "$PROGNAME" --error "$message_uninstallation_failed"	# Error dialog.
	exit
fi
kdialog --caption "$PROGNAME" --icon "info" --msgbox "$message_uninstallation_completed"	#Information dialog.
exit 0
