#!/bin/sh
TARGET_DIR="$(kde4-config --localprefix)share/kde4/services/ServiceMenus/svg-svgz-svg"

# Translations:

	# Finnish
if [ "$LANG" = "fi_FI.UTF-8" ] ; then
	installation="Asennus"
	install="Asenna:"
	just_for_me="Vain minulle."
	system_wide="Kaikille käyttäjille. (Sinun täytyy olla järjestelmänvalvoja)"
	message_incorrect_working_dir="Virheellinen työkansio.\nKohdetta \"$PWD/data\" ei löydy!"
	message_files_missing="Yksi tai useampi tiedosto puuttuu!"
	message_installation_completed="Asennus suoritettu loppuun."
	message_installation_failed="Asennus epäonnistui!"
	
  elif [ "$LANG" = "____" ] ; then	# Copy this blanked "elif"-thing and fill up blanks with your own translations.
	# ____
	installation="____"
	install="____:"
	just_for_me="____."
	system_wide="____. (____)"
	message_incorrect_working_dir="____\n\"$PWD/data\"____"
	message_files_missing=""
	message_installation_completed="____"
	message_installation_failed="____"
# Put your own translation right after this line.

# Dont put it after this line!
  else	# English
	installation="Installation"
	install="Install:"
	just_for_me="Just for me."
	system_wide="System wide. (You must be one of system administrators)"
	message_incorrect_working_dir="Incorrect working directory!\n\"$PWD/data\" not found!"
	message_files_missing="One or more files are missing!"
	message_installation_completed="Installation completed."
	message_installation_failed="Installation failed!"
fi

PROGNAME="svg-svgz-svg $installation"

# End of translations.

# Checking things:
if [ ! -d "./data" ] ; then	# Checks data directory.
	kdialog --caption "$PROGNAME" --error "$message_incorrect_working_dir"	# Error dialog.
	exit 1
fi

cd "./data"			# cd to data directory.

if [ $(ls "./svgz-svg.desktop" "./svg-svgz.desktop" "./svg-svgz.sh" "./svgz-svg.sh" "./systemwide/install.sh" "./systemwide/deinstall.sh" | wc -l) -ne "6" ] ; then	# Counts how many files found with given path(s). If not "6", then one or more files are missing.
	kdialog --caption "$PROGNAME" --error "$message_files_missing"	# Error dialog.
	exit 1
fi
# End of checking things.

# Installation:
CHOISE=$(kdialog --caption "$PROGNAME" --radiolist "$install" 1 "$just_for_me" on 2 "$system_wide" off)	# Selection dialog.
if [ ! "$CHOISE" ] ; then
	exit 1	# Aborts setup if "Cancel" is pressed.
fi

if [ "$CHOISE" -eq "1" ] ; then		# If "Just for me." selected, do:
	rm -R -f "$TARGET_DIR"
	mkdir "$TARGET_DIR"
	cp ./svg-svgz.desktop "$TARGET_DIR"/
	cp ./svgz-svg.desktop "$TARGET_DIR"/
	cp ./svg-svgz.sh "$TARGET_DIR"/
	cp ./svgz-svg.sh "$TARGET_DIR"/
	chmod +x "$TARGET_DIR"/*
elif [ "$CHOISE" -eq "2" ] ; then		# If "System wide." selected, do:
	cd "./systemwide"
	kdesudo ./install.sh
fi
if [ "$?" -ne "0" ] ; then		# If failed, do:
	kdialog --caption "$PROGNAME" --error "$message_installation_failed"	# Error dialog.
	exit
fi
kdialog --caption "$PROGNAME" --icon "info" --msgbox "$message_installation_completed"	#Information dialog.
exit 0
# End of installation.
exit 0